Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
dbus fails to emerge.[SOLVED]
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Budoka
l33t
l33t


Joined: 03 Jun 2012
Posts: 777
Location: Tokyo, Japan

PostPosted: Thu Jun 19, 2014 1:37 pm    Post subject: dbus fails to emerge.[SOLVED] Reply with quote

I am doing a world update and it wants to emerge dbus sys-apps/dbus-1.8.4. However it always fails. I looked through the log file but it is greek to me unless something obvious.

Quote:
>>> Failed to emerge sys-apps/dbus-1.8.4, Log file:

>>> '/var/tmp/portage/sys-apps/dbus-1.8.4/temp/build.log'


Here is the build.log Would really appreciate some help.

http://bpaste.net/show/386897/


Last edited by Budoka on Thu Jun 26, 2014 5:38 am; edited 1 time in total
Back to top
View user's profile Send private message
Tractor Girl
Apprentice
Apprentice


Joined: 16 May 2013
Posts: 159

PostPosted: Thu Jun 19, 2014 4:26 pm    Post subject: Re: dbus fails to emerge. Reply with quote

Do you already have dbus on your system?
If not, run this to check what is pulling it in.
emerge -avDut @world
Back to top
View user's profile Send private message
Budoka
l33t
l33t


Joined: 03 Jun 2012
Posts: 777
Location: Tokyo, Japan

PostPosted: Fri Jun 20, 2014 2:48 am    Post subject: Re: dbus fails to emerge. Reply with quote

Tractor Girl wrote:
Do you already have dbus on your system?
If not, run this to check what is pulling it in.
emerge -avDut @world


Yes I already have dbus on my system.

Code:
eix -I dbus
[U] sys-apps/dbus
     Available versions:  1.6.18-r1 ~1.8.0 ~1.8.2 1.8.4 {X debug doc selinux static-libs systemd test ABI_MIPS="n32 n64 o32" ABI_X86="32 64 x32"}
     Installed versions:  1.6.18-r1(11:04:15 AM 02/25/2014)(X -debug -doc -selinux -static-libs -systemd -test ABI_MIPS="-n32 -n64 -o32" ABI_X86="64 -32 -x32")
     Homepage:            http://dbus.freedesktop.org/
     Description:         A message bus system, a simple way for applications to talk to each other


Code:
# emerge -avDut @world

 * IMPORTANT: 2 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild     U  ] sys-apps/dbus-1.8.4 [1.6.18-r1] USE="X -debug -doc (-selinux) -static-libs -systemd {-test}" ABI_X86="(64) (-32) (-x32)" 0 kB

Total: 1 package (1 upgrade), Size of downloads: 0 kB
Back to top
View user's profile Send private message
steveL
Watchman
Watchman


Joined: 13 Sep 2006
Posts: 5153
Location: The Peanut Gallery

PostPosted: Fri Jun 20, 2014 5:25 pm    Post subject: Reply with quote

I'd file a bug, as you're getting sandbox violations for: /proc/self/coredump_filter under java(!) to build the docs; may just be the manpages.
Back to top
View user's profile Send private message
SamuliSuominen
Retired Dev
Retired Dev


Joined: 30 Sep 2005
Posts: 2133
Location: Finland

PostPosted: Fri Jun 20, 2014 5:35 pm    Post subject: Reply with quote

Does it help if you add this...

Code:

addpredict /proc/self/coredump_filter


...to /usr/portage/sys-apps/dbus/dbus-1.8.4.ebuild, like this:

Code:

--- dbus-1.8.4.ebuild
+++ dbus-1.8.4.ebuild
@@ -69,6 +69,7 @@
 }
 
 multilib_src_configure() {
+   addpredict /proc/self/coredump_filter
    local docconf myconf
 
    # so we can get backtraces from apps


And run `ebuild /usr/portage/sys-apps/dbus/dbus-1.8.4.ebuild digest` and `emerge -1 sys-apps/dbus` ?
Back to top
View user's profile Send private message
Budoka
l33t
l33t


Joined: 03 Jun 2012
Posts: 777
Location: Tokyo, Japan

PostPosted: Sat Jun 21, 2014 6:19 am    Post subject: Reply with quote

ssuominen wrote:
Does it help if you add this...

Code:

addpredict /proc/self/coredump_filter


...to /usr/portage/sys-apps/dbus/dbus-1.8.4.ebuild, like this:

Code:

--- dbus-1.8.4.ebuild
+++ dbus-1.8.4.ebuild
@@ -69,6 +69,7 @@
 }
 
 multilib_src_configure() {
+   addpredict /proc/self/coredump_filter
    local docconf myconf
 
    # so we can get backtraces from apps


And run `ebuild /usr/portage/sys-apps/dbus/dbus-1.8.4.ebuild digest` and `emerge -1 sys-apps/dbus` ?


It still fails.
Back to top
View user's profile Send private message
Budoka
l33t
l33t


Joined: 03 Jun 2012
Posts: 777
Location: Tokyo, Japan

PostPosted: Sat Jun 21, 2014 6:22 am    Post subject: Reply with quote

steveL wrote:
I'd file a bug, as you're getting sandbox violations for: /proc/self/coredump_filter under java(!) to build the docs; may just be the manpages.


Thanks I will look at that link and see if I can do it but to be honest I am not sure what bug I am filing?
Quote:
sandbox violations for: /proc/self/coredump_filter under java(!)
?
Back to top
View user's profile Send private message
SamuliSuominen
Retired Dev
Retired Dev


Joined: 30 Sep 2005
Posts: 2133
Location: Finland

PostPosted: Sat Jun 21, 2014 6:51 am    Post subject: Reply with quote

It's happening because xmlto is seeing your java installation, and then makes use of the 'fop java extensions'. The `xmlto --help` says it's possible to disable the 'fop java extensions' using the --noextensions parameter:

Code:

$ xmlto --noextensions
xmlto: unrecognized option '--noextensions'
usage: xmlto [OPTION]... FORMAT XML
OPTIONs are:
  -v              verbose output (-vv for very verbose)
  -x stylesheet   use the specified stylesheet instead of choosing one
  -m fragment     use the XSL fragment to customize the stylesheet
  -o directory    put output in the specified directory instead of
                  the current working directory
  -p postprocopts pass option to postprocessor
  --extensions    turn on stylesheet extensions for this tool chain
  --noautosize    do not autodetect paper size via locales or paperconf
  --noclean       temp files are not deleted automatically
                  (good for diagnostics)
  --noextensions  do not use passivetex/fop extensions


But somehow it doesn't work at all, notice the "xmlto: unrecognized option '--noextensions'" above.

This patch would have worked, but it looks like xmlto is broken and doesn't include a way to disable the 'fop java extensions' at all!

Code:

--- dbus-1.8.4.ebuild
+++ dbus-1.8.4.ebuild
@@ -61,9 +61,12 @@
       -e '/"dispatch"/d' \
       bus/test-main.c || die
 
+   # http://forums.gentoo.org/viewtopic.php?p=7571826#7571826
+   sed -i -e 's:$(XMLTO):& --noextensions:' doc/Makefile.am || die
+
    epatch_user
 
-   # required for asneeded patch but also for bug 263909, cross-compile so
+   # required for asneeded patch and xmlto sed but also for bug 263909, cross-compile so
    # don't remove eautoreconf
    eautoreconf
 }


However, I found this from NEWS file of xmlto-0.0.26 tarball:

Quote:

Xmlto news
----------
0.0.26 (stable)
- fix noextensions option recognition


So I'm version bumping app-text/xmlto in Portage right now. I'll update here soon.
Back to top
View user's profile Send private message
SamuliSuominen
Retired Dev
Retired Dev


Joined: 30 Sep 2005
Posts: 2133
Location: Finland

PostPosted: Sat Jun 21, 2014 7:05 am    Post subject: Reply with quote

OK, app-text/xmlto-0.0.26 in Portage ~arch with working --noextensions parameter. It will be available in mirrors in about hour.

Then you can try this,

Code:

--- dbus-1.8.4.ebuild
+++ dbus-1.8.4.ebuild
@@ -30,7 +30,7 @@
       !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
    )"
 DEPEND="${RDEPEND}
-   app-text/xmlto
+   >=app-text/xmlto-0.0.26
    app-text/docbook-xml-dtd:4.4
    virtual/pkgconfig
    doc? ( app-doc/doxygen )
@@ -61,6 +61,9 @@
       -e '/"dispatch"/d' \
       bus/test-main.c || die
 
+    # http://forums.gentoo.org/viewtopic.php?p=7571826
+   sed -i -e 's:$(XMLTO):& --noextensions:' doc/Makefile.am || die
+
    epatch_user
 
    # required for asneeded patch but also for bug 263909, cross-compile so


As in, raise xmlto dependency and add `sed` line to src_prepare()

Let me know if this works, and I'll add it to Portage as dbus-1.8.4-r1
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 6194

PostPosted: Sat Jun 21, 2014 7:16 pm    Post subject: Reply with quote

ssuominen wrote:
It's happening because xmlto is seeing your java installation, and then makes use of the 'fop java extensions'.


So, out of curiosity, why does that seem to cause core dumps or whatever else is the reason for accessing that /proc file ?
Back to top
View user's profile Send private message
SamuliSuominen
Retired Dev
Retired Dev


Joined: 30 Sep 2005
Posts: 2133
Location: Finland

PostPosted: Sat Jun 21, 2014 7:22 pm    Post subject: Reply with quote

VoidMage wrote:
ssuominen wrote:
It's happening because xmlto is seeing your java installation, and then makes use of the 'fop java extensions'.


So, out of curiosity, why does that seem to cause core dumps or whatever else is the reason for accessing that /proc file ?


I have no idea, I don't do java, like at all. Never. Ever. Who knows what the rootkit does.

But it's because he has dev-java/fop installed (or fop from alternative source), and app-text/xmlto sees it, it will use it.

To original reporter: Please test the patch, I don't want to push untested fixes to Portage.
Back to top
View user's profile Send private message
Budoka
l33t
l33t


Joined: 03 Jun 2012
Posts: 777
Location: Tokyo, Japan

PostPosted: Sun Jun 22, 2014 1:16 pm    Post subject: Reply with quote

ssuominen wrote:
OK, app-text/xmlto-0.0.26 in Portage ~arch with working --noextensions parameter. It will be available in mirrors in about hour.

Then you can try this,

Code:

--- dbus-1.8.4.ebuild
+++ dbus-1.8.4.ebuild
@@ -30,7 +30,7 @@
       !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
    )"
 DEPEND="${RDEPEND}
-   app-text/xmlto
+   >=app-text/xmlto-0.0.26
    app-text/docbook-xml-dtd:4.4
    virtual/pkgconfig
    doc? ( app-doc/doxygen )
@@ -61,6 +61,9 @@
       -e '/"dispatch"/d' \
       bus/test-main.c || die
 
+    # http://forums.gentoo.org/viewtopic.php?p=7571826
+   sed -i -e 's:$(XMLTO):& --noextensions:' doc/Makefile.am || die
+
    epatch_user
 
    # required for asneeded patch but also for bug 263909, cross-compile so


As in, raise xmlto dependency and add `sed` line to src_prepare()

Let me know if this works, and I'll add it to Portage as dbus-1.8.4-r1


I successfully emerged
Quote:
>=app-text/xmlto-0.0.26
but I am sorry but I am not a 100 percent sure what I am suppose to be doing after that. Paste the bit of code you posted into /usr/portage/sys-apps/dbus/dbus-1.8.4.ebuild?
Back to top
View user's profile Send private message
SamuliSuominen
Retired Dev
Retired Dev


Joined: 30 Sep 2005
Posts: 2133
Location: Finland

PostPosted: Sun Jun 22, 2014 5:05 pm    Post subject: Reply with quote

Budoka wrote:
but I am sorry but I am not a 100 percent sure what I am suppose to be doing after that. Paste the bit of code you posted into /usr/portage/sys-apps/dbus/dbus-1.8.4.ebuild?


I don't understand how you managed to test the addpredict -solution earlier from this thread, but can't test this one? Makes me wonder if you tested the addpredict one at all. Both solutions need you to open up a editor and modify the ebuild.

Anyways, open the dbus-1.8.4.ebuild in editor and add the `sed -i -e 's:$(XMLTO):& --noextensions:' doc/Makefile.am` -line from above comment right next to the epatch_user line in the ebuild, then save it, and run `ebuild /usr/portage/sys-apps/dbus/dbus-1.8.4.ebuild digest` and `emerge -1 sys-apps/dbus`
Back to top
View user's profile Send private message
steveL
Watchman
Watchman


Joined: 13 Sep 2006
Posts: 5153
Location: The Peanut Gallery

PostPosted: Sun Jun 22, 2014 5:40 pm    Post subject: Reply with quote

Budoka wrote:
Thanks I will look at that link and see if I can do it but to be honest I am not sure what bug I am filing?

No need, since you're in touch with a dev who's sorting it out. Just do what he says.
Back to top
View user's profile Send private message
Budoka
l33t
l33t


Joined: 03 Jun 2012
Posts: 777
Location: Tokyo, Japan

PostPosted: Mon Jun 23, 2014 2:34 pm    Post subject: Reply with quote

ssuominen wrote:
Budoka wrote:
but I am sorry but I am not a 100 percent sure what I am suppose to be doing after that. Paste the bit of code you posted into /usr/portage/sys-apps/dbus/dbus-1.8.4.ebuild?


I don't understand how you managed to test the addpredict -solution earlier from this thread, but can't test this one? Makes me wonder if you tested the addpredict one at all. Both solutions need you to open up a editor and modify the ebuild.

Anyways, open the dbus-1.8.4.ebuild in editor and add the `sed -i -e 's:$(XMLTO):& --noextensions:' doc/Makefile.am` -line from above comment right next to the epatch_user line in the ebuild, then save it, and run `ebuild /usr/portage/sys-apps/dbus/dbus-1.8.4.ebuild digest` and `emerge -1 sys-apps/dbus`


Uh. Yes I did test the addpredict as I indicated and yes I do understand the file has to be edited. What I meant by not understanding was that the edits you keep providing me are bombing so I thought maybe I was making a mistake and should have been taking the entire bits of text you were posting and putting it in my file. I could have been clearer in my question.

But maybe I am not doing what you are requesting correctly. I have been adding lines that you marked as "+" and removing those you marked as "-" into the ebuild file you referenced.

Here is my ebuild file that I think I edited as you instructed.

/usr/portage/sys-apps/dbus/dbus-1.8.4.ebuild http://bpaste.net/show/400108/

And this is where it bombs. It cites the bit of code you add me add. It is probably something I am doing incorrectly so just let me know how to proceed.


Quote:
>>> Failed to emerge sys-apps/dbus-1.8.4, Log file:

>>> '/var/tmp/portage/sys-apps/dbus-1.8.4/temp/build.log'

* Messages for package sys-apps/dbus-1.8.4:

* ERROR: sys-apps/dbus-1.8.4::gentoo failed (prepare phase):
* (no error message)
*
* Call stack:
* ebuild.sh, line 93: Called src_prepare
* environment, line 5448: Called die
* The specific snippet of code:
* sed -i -e 's:$(XMLTO):& --noextensions:' doc/Makefile.am || die;
*

Back to top
View user's profile Send private message
SamuliSuominen
Retired Dev
Retired Dev


Joined: 30 Sep 2005
Posts: 2133
Location: Finland

PostPosted: Mon Jun 23, 2014 3:18 pm    Post subject: Reply with quote

Budoka wrote:

* sed -i -e 's:$(XMLTO):& --noextensions:' doc/Makefile.am || die;


Some weird char in end of that line "die;". I suspect you used some poor editor that added some weird line endings to it.

I uploaded the ebuild:

Code:

# wgetpaste "http://bpaste.net/raw/400211/" -O /usr/portage/sys-apps/dbus/dbus-1.8.4-r1.ebuild
# ebuild /usr/portage/sys-apps/dbus/dbus-1.8.4-r1.ebuild digest
# emerge --oneshot '=sys-apps/dbus-1.8.4-r1'
Back to top
View user's profile Send private message
Budoka
l33t
l33t


Joined: 03 Jun 2012
Posts: 777
Location: Tokyo, Japan

PostPosted: Tue Jun 24, 2014 4:22 am    Post subject: Reply with quote

ssuominen wrote:
Budoka wrote:

* sed -i -e 's:$(XMLTO):& --noextensions:' doc/Makefile.am || die;


Some weird char in end of that line "die;". I suspect you used some poor editor that added some weird line endings to it.

I uploaded the ebuild:

Code:

# wgetpaste "http://bpaste.net/raw/400211/" -O /usr/portage/sys-apps/dbus/dbus-1.8.4-r1.ebuild
# ebuild /usr/portage/sys-apps/dbus/dbus-1.8.4-r1.ebuild digest
# emerge --oneshot '=sys-apps/dbus-1.8.4-r1'


Thanks for the help but I am still running into difficulty.

Quote:
# wgetpaste "http://bpaste.net/raw/400211/" -O /usr/portage/sys-apps/dbus/dbus-1.8.4-r1.ebuild
/usr/bin/wgetpaste: http://bpaste.net/raw/400211/ No such file found.


So I just created the file manually and copied your ebuild into it.

Quote:
# cat /usr/portage/sys-apps/dbus/dbus-1.8.4-r1.ebuild |wgetpaste
Your paste can be seen here: http://bpaste.net/show/401928/


Code:
# ebuild /usr/portage/sys-apps/dbus/dbus-1.8.4-r1.ebuild digest
runs successfully.

Code:
# emerge --oneshot '=sys-apps/dbus-1.8.4-r1'
still fails.

Quote:
# emerge --oneshot '=sys-apps/dbus-1.8.4-r1' |wgetpaste
(null)*(null) (null)ACCESS DENIED(null): open_wr: /proc/self/coredump_filter
(null)*(null) (null)ACCESS DENIED(null): open_wr: /proc/self/coredump_filter
(null)*(null) (null)ACCESS DENIED(null): open_wr: /proc/self/coredump_filter
(null)*(null) (null)ACCESS DENIED(null): open_wr: /proc/self/coredump_filter
(null)*(null) (null)ACCESS DENIED(null): open_wr: /proc/self/coredump_filter
(null)*(null) (null)ACCESS DENIED(null): open_wr: /proc/self/coredump_filter
(null)*(null) (null)ACCESS DENIED(null): open_wr: /proc/self/coredump_filter
(null)*(null) (null)ACCESS DENIED(null): open_wr: /proc/self/coredump_filter
(null)*(null) (null)ACCESS DENIED(null): open_wr: /proc/self/coredump_filter
(null)*(null) (null)ACCESS DENIED(null): open_wr: /proc/self/coredump_filter
(null)*(null) (null)ACCESS DENIED(null): open_wr: /proc/self/coredump_filter
(null)*(null) (null)ACCESS DENIED(null): open_wr: /proc/self/coredump_filter
(null)*(null) (null)ACCESS DENIED(null): open_wr: /proc/self/coredump_filter
(null)*(null) (null)ACCESS DENIED(null): open_wr: /proc/self/coredump_filter
(null)*(null) (null)ACCESS DENIED(null): open_wr: /proc/self/coredump_filter
(null)*(null) (null)ACCESS DENIED(null): open_wr: /proc/self/coredump_filter
(null)*(null) (null)ACCESS DENIED(null): open_wr: /proc/self/coredump_filter
(null)*(null) (null)ACCESS DENIED(null): open_wr: /proc/self/coredump_filter
Your paste can be seen here: http://bpaste.net/show/401934/


Quote:
# cat /var/tmp/portage/sys-apps/dbus-1.8.4-r1/temp/build.log |wgetpaste
Your paste can be seen here: http://bpaste.net/show/401938/


I am using nano to edit. Not sure why it would add add chars but I'll check it out.
Back to top
View user's profile Send private message
UncleVan
n00b
n00b


Joined: 08 Feb 2011
Posts: 72

PostPosted: Tue Jun 24, 2014 11:58 am    Post subject: Reply with quote

Im running into the same bug with sys-apps/dbus-1.8.4 : see bellow. Why developers just dont mask those ebuilds
Code:
sys-apps/dbus-1.8.4
and/or
app-text/xmlto-0.0.25
as obviously non working together ? I did it on my part locally for sys-apps/dbus-1.8.4 and was able to pull the other updates; but this is not the solution, as one can forget it and how will I know when the issue is solved ?


The error :
Code:
F: open_wr
S: deny
P: /proc/self/coredump_filter
A: /proc/self/coredump_filter
R: /proc/5191/coredump_filter
C: java -classpath /usr/share/fop.....
.....

>>> Failed to emerge sys-apps/dbus-1.8.4, Log file:

>>>  '/var/tmp/portage/sys-apps/dbus-1.8.4/temp/build.log'
Back to top
View user's profile Send private message
SamuliSuominen
Retired Dev
Retired Dev


Joined: 30 Sep 2005
Posts: 2133
Location: Finland

PostPosted: Tue Jun 24, 2014 3:58 pm    Post subject: Reply with quote

Let me clarify. This is not a dbus or xmlto bug. This is a bug in Java JRE or sys-apps/sandbox. It's just that sys-apps/dbus with it's use of app-text/xmlto is now hitting the symptoms. See, for example,
https://forums.gentoo.org/viewtopic-t-992874.html where it's Java again trying to write /proc/self/coredump_filter and causing app-office/libreoffice to fail.
As in, blame Java, if you need to blame something.

So, we have now tested none of `addpredict` -sandbox trick, --noextensions xmlto parameter help at all. Only thing left I can think of is `addwrite`.

Code:

--- dbus-1.8.4.ebuild
+++ dbus-1.8.4.ebuild
@@ -69,6 +69,7 @@
 }
 
 multilib_src_configure() {
+   addwrite /proc/self/coredump_filter
    local docconf myconf
 
    # so we can get backtraces from apps


If that works, then it's the installed Java JRE that should install file /etc/sandbox.d/99java with a content of:

Code:

SANDBOX_WRITE="/proc/self/coredump_filter"


I'm not maintaining anything Java related in Portage myself, so at this point it would be wise to open a bug at https://bugs.gentoo.org/ so it can be assigned to the Java maintainers. You can mention link to this thread in the bug and they'll
see what has, or has not been tried already.

If you simply want to get sys-apps/dbus installed, you can go on with `emerge -C dev-java/fop` to get rid of it temporarily. Or, wherever your `fop` command is or whatever package owns it.

Also note that dbus-1.8.4 is a security update!
Back to top
View user's profile Send private message
UncleVan
n00b
n00b


Joined: 08 Feb 2011
Posts: 72

PostPosted: Tue Jun 24, 2014 4:39 pm    Post subject: To contribute: Reply with quote

Suprisingly , this "bug" hit only one of mine machines; on the other sys-apps/dbus-1.8.4:0 installs flawlessly. Now here the news: all of the other suspected packages are identical !

Command:
Code:
$ equery l sys-apps/dbus app-text/xmlto dev-java/icedtea-bin dev-java/fop sys-apps/sandbox

Machine 1 : sys-apps/dbus-1.8.4:0 doesnt compile
Code:
 * Searching for dbus in sys-apps ...
[IP-] [  ] sys-apps/dbus-1.6.18-r1:0

 * Searching for xmlto in app-text ...
[IP-] [  ] app-text/xmlto-0.0.25:0

 * Searching for icedtea-bin in dev-java ...
[IP-] [  ] dev-java/icedtea-bin-6.1.13.3:6  <-- different version !

 * Searching for fop in dev-java ...
[IP-] [  ] dev-java/fop-0.95:0

 * Searching for sandbox in sys-apps ...
[IP-] [  ] sys-apps/sandbox-2.6-r1:0

Machine 2 : sys-apps/dbus-1.8.4:0 allready in place
Code:
 * Searching for dbus in sys-apps ...
[IP-] [  ] sys-apps/dbus-1.8.4:0

 * Searching for xmlto in app-text ...
[IP-] [  ] app-text/xmlto-0.0.25:0

 * Searching for icedtea-bin in dev-java ...
[IP-] [  ] dev-java/icedtea-bin-6.1.12.7:6  <-- different version !

 * Searching for fop in dev-java ...
[IP-] [  ] dev-java/fop-0.95:0

 * Searching for sandbox in sys-apps ...
[IP-] [  ] sys-apps/sandbox-2.6-r1:0

Could it be something else ?

PS: I was wrong : icedtea-bin are different versions - sorry !


Last edited by UncleVan on Tue Jun 24, 2014 8:06 pm; edited 1 time in total
Back to top
View user's profile Send private message
Chewi
Developer
Developer


Joined: 01 Sep 2003
Posts: 885
Location: Edinburgh, Scotland

PostPosted: Tue Jun 24, 2014 4:56 pm    Post subject: Reply with quote

Is FEATURES="sandbox" enabled on both machines? Check with emerge --info.

I understand why this happens but I also wonder whether /proc/self/coredump_filter should go in the global sandbox config. Any program could reasonably write to it. I'd need to bring this up with the powers that be.
Back to top
View user's profile Send private message
UncleVan
n00b
n00b


Joined: 08 Feb 2011
Posts: 72

PostPosted: Tue Jun 24, 2014 5:12 pm    Post subject: Reply with quote

Yep, FEATURES="sandbox" is definitely set on both; has been always so; Ill spare me (and you) the command's qoutes...
Back to top
View user's profile Send private message
sera
Retired Dev
Retired Dev


Joined: 29 Feb 2008
Posts: 1017
Location: CET

PostPosted: Tue Jun 24, 2014 5:23 pm    Post subject: Reply with quote

Budoka,

this looks like an ebuild bug for your system-vm, more specifically a missing call to java-vm_sandbox-predict.

Please post the output of
Code:
java-config -L
Back to top
View user's profile Send private message
SamuliSuominen
Retired Dev
Retired Dev


Joined: 30 Sep 2005
Posts: 2133
Location: Finland

PostPosted: Tue Jun 24, 2014 6:33 pm    Post subject: Reply with quote

sera wrote:
Budoka,

this looks like an ebuild bug for your system-vm, more specifically a missing call to java-vm_sandbox-predict.

Please post the output of
Code:
java-config -L


As you can see, same addpredict as in the eclass was tested in this thread already. Futhermore, the solution should go into /etc/sandbox.d/ like 99java file and not the eclass, not the ebuild. Futhermore, it should likely be SANDBOX_WRITE instead of SANDBOX_PREDICT to begin with, as addpredict didn't work.

As in, sys-apps/dbus doesn't use java, and it's ebuild should certainly not be forced to make use of any java eclasses. It's xmlto the build system of dbus uses, and xmlto can use `fop` binary (dev-java/fop) if it's installed as an automagic extension (see why the solution
should be in /etc/sandbox.d?)
Back to top
View user's profile Send private message
sera
Retired Dev
Retired Dev


Joined: 29 Feb 2008
Posts: 1017
Location: CET

PostPosted: Tue Jun 24, 2014 6:53 pm    Post subject: Reply with quote

2 weeks ago Jer added the missing call to java-vm_sandbox-predict to icedtea-bin:7 but didn't revbump, so everyone running into this should reinstall icedtea-bin which will solve this.

ssuominen wrote:
sera wrote:
Budoka,

this looks like an ebuild bug for your system-vm, more specifically a missing call to java-vm_sandbox-predict.

Please post the output of
Code:
java-config -L


As you can see, same addpredict as in the eclass was tested in this thread already. Futhermore, the solution should go into /etc/sandbox.d/ like 99java file and not the eclass, not the ebuild. Futhermore, it should likely be SANDBOX_WRITE instead of SANDBOX_PREDICT to begin with, as addpredict didn't work.

As in, sys-apps/dbus doesn't use java, and it's ebuild should certainly not be forced to make use of any java eclasses. It's xmlto the build system of dbus uses, and xmlto can use `fop` binary (dev-java/fop) if it's installed as an automagic extension (see why the solution
should be in /etc/sandbox.d?)


You just left #gentoo-java a tad early
Quote:
<sera> the sandbox mangeling in java-utils-2.eclass init is historic, we switched to using sandbox control files maybe 2 years ago.
<sera> if the vm opens /proc/self/coredump_filter rw use java-vm_sandbox-predict from java-vm-2.eclass to allow arbirtrary ebuilds to work under sandbox.


SANDBOX_PREDICT should definitively be sufficient, this issue is age old. The downside of the /etc/sandbox.d/ approach is if a dev has other jvm installed he might miss this issue, which apparently happened here.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum